/*---------------------------------------------------
-----------------------------------------------------
Filename:	init_appearance.m
Version:	2.2

Type:		maki/attrib definitions
Date:		28. Jun. 2007 - 22:08 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/songticker.maki
		scripts/mainmenu.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

#include "gen_pageguids.m"

Function initAttribs_Appearance();

Class ConfigAttribute ScrollingAttribute;

#define CUSTOM_PAGE_SONGTICKER "{7061FDE0-0E12-11D8-BB41-0050DA442EF4}"


Global ConfigAttribute songticker_scrolling_disabled_attrib;

Global ScrollingAttribute songticker_style_modern_attrib;
Global ScrollingAttribute songticker_style_old_attrib;
Global ScrollingAttribute menubar_main_attrib;

initAttribs_Appearance()
{

	initPages();

	ConfigItem custom_page_songticker = addConfigSubMenu(optionsmenu_page, "Appearance", CUSTOM_PAGE_SONGTICKER);

	songticker_scrolling_disabled_attrib = custom_page_songticker.newAttribute("Disable Songticker Scrolling", "0");
	songticker_style_modern_attrib = custom_page_songticker.newAttribute("Modern Songticker Scrolling", "1");
	songticker_style_old_attrib = custom_page_songticker.newAttribute("Classic Songticker Scrolling", "0");

	addMenuSeparator(custom_page_songticker);

	menubar_main_attrib = custom_page_songticker.newAttribute("Show Main Window Menu", "1");

}

#ifdef MAIN_ATTRIBS_MGR


songticker_scrolling_disabled_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	songticker_style_modern_attrib.setData("0");
	songticker_style_old_attrib.setData("0");
	attribs_mychange = 0;
}


songticker_style_old_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	songticker_style_modern_attrib.setData("0");
	songticker_scrolling_disabled_attrib.setData("0");
	attribs_mychange = 0;
}
songticker_style_modern_attrib.onDataChanged()
{
	if (attribs_mychange) return;
	NOOFF
	attribs_mychange = 1;
	songticker_scrolling_disabled_attrib.setData("0");
	songticker_style_old_attrib.setData("0");
	attribs_mychange = 0;
}

#endif